Bug 106159 - Left clicking after right clicking on Comments in Navigator crashes LO
Summary: Left clicking after right clicking on Comments in Navigator crashes LO
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.0.3 release
Hardware: All All
: highest critical
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.4.0 target:5.3.2 target:5.3.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2017-02-23 15:01 UTC by krajcsi
Modified: 2017-03-07 16:26 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description krajcsi 2017-02-23 15:01:31 UTC
1. Create a new Text document
2. Create a comment
3. Open Navigator
4. Right click
5. Without choosing anything from the context menu left click anywhere
6. LO crashes

Version: 5.3.1.1
Build ID: 72fee18f394a980128dc111963f2eefb05998eeb
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk2; Layout Engine: new; 
Locale: en-US (en_US.UTF-8); Calc: group

The same happens with
Version: 5.3.0.3
Build ID: 1:5.3.0~rc3-0ubuntu1~xenial1.1
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk2; Layout Engine: new; 
Locale: en-US (en_US.UTF-8); Calc: group

But the bug is __missing__ in 
Version: 5.2.5.1
Build ID: 0312e1a284a7d50ca85a365c316c7abbf20a4d22
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Xisco Faulí 2017-02-23 15:17:56 UTC Comment hidden (obsolete)
Comment 2 Xisco Faulí 2017-02-23 15:25:47 UTC
Confirmed in

Version: 5.4.0.0.alpha0+
Build ID: 880033edde516fc30225005245253293a6a58ba4
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

but not in

Version: 5.2.0.0.alpha1+
Build ID: 5b168b3fa568e48e795234dc5fa454bf24c9805e
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8)
Comment 3 Xisco Faulí 2017-02-23 15:57:20 UTC
Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2016-09-14 09:04:28 (GMT)
committer	Caolán McNamara <caolanm@redhat.com>	2016-09-14 09:27:00 (GMT)
commit	fc6744603ab8bb5a00c4f97435b5e509bdeaeb94 (patch)
tree	6f46eb2096cb6856c918186663755a2f7212325e
parent	ecc29bf323a83b0379ffed31057c8ab409e0d2d2 (diff)
Resolves: tdf#101859 dispose unused popupmenu before dtor

Adding Cc: to Caolán McNamara
Comment 4 Commit Notification 2017-02-23 17:17:15 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=58659cbaa8c955b135737bf9d77e4e57813310e5

Resolves: tdf#106159 right click + left click with comments in navigator

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Caolán McNamara 2017-02-23 17:20:04 UTC
fixed in master, backports to 5-3 and 5-2 in gerrit
Comment 6 krajcsi 2017-02-24 09:01:43 UTC
(In reply to Xisco Faulí from comment #1)
> Hello,
> Right click should be done on the comment, the document or navigator?

Sorry, this could be seen only in the title of the bug, but in step 4, right click on the Comments category in the Navigator.

Anyway, amazingly quick fix, thank you!
Comment 7 Commit Notification 2017-02-28 11:03:22 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4024318a1d656388f3417a0f74794ccf05b3509a&h=libreoffice-5-3

Resolves: tdf#106159 right click + left click with comments in navigator

It will be available in 5.3.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2017-03-07 16:26:02 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-3-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=82c4fc4909e3e3e8ab2b266820843aa6c5d52050&h=libreoffice-5-3-1

Resolves: tdf#106159 right click + left click with comments in navigator

It will be available in 5.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.